#!/bin/sh

BASE_VER=1.5.3
PACKAGING=2
VER=${BASE_VER}-${PACKAGING}

rm -rf release
mkdir release
mkdir release/include
mkdir release/bin
mkdir release/lib
mkdir release/share
mkdir release/share/gdal
mkdir release/share/gdal/html
mkdir release/etc
mkdir release/etc/postinstall
mkdir release/etc/ini


nmake /f makefile.vc install devinstall

cp gdal-config.tmpl release/bin
cp gdal.bat release/etc/postinstall

echo "SET GDAL_DATA=%OSGEO4W_ROOT%\share\gdal" > release/etc/ini/gdal.bat


cd release
tar cjvf ../gdal-$VER.tar.bz2 *
cd ..

tar cjvf src-wrk.tar.bz2 nmake.opt package.sh gdal-config.tmpl \
	ogr/ogrsf_frmts/ogdi/makefile.vc \
	frmts/ogdi/makefile.vc

mkdir release/src
mkdir release/src/gdal-${BASE_VER}

cd release/src/gdal-${BASE_VER}

tar xjvf ../../../src-wrk.tar.bz2
cd ../..
tar cjvf ../gdal-$VER-src.tar.bz2 src
cd ..
